site_name: 编程学习
site_description: 知识总结
site_author: sairate
# site_url:  # 请在这里填写您的网站URL
strict: false

repo_name: 'Sairate/doc'
repo_url: 'https://git.sairate.top/sairate/doc'

nav:
  - 简介:
      - 介绍: index.md
  - 编程基础:
      - 基础概念: basic/program/program.md
      - 信息学发展史(近现代): basic/program/信息学发展史(近现代).md
  - 数学基础:
      - 进制转换: basic/math/进制转换.md
      - 矩阵运算: basic/math/矩阵运算.md
  - NOI竞赛大纲:
      - 大纲: NOI竞赛大纲/大纲.md
      - 一.基础知识与编程环境:
          - 1.计算机基本构成: NOI竞赛大纲/一.基础知识与编程环境/1.计算机的基本构成.md
          - 2.Window与Linux等操作系统的基本概念及常见操作: NOI竞赛大纲/一.基础知识与编程环境/2.Window与Linux等操作系统的基本概念及常见操作.md
          - 3.计算机网络和Internet的基本概念: NOI竞赛大纲/一.基础知识与编程环境/3.计算机网络和Internet的基本概念.md
          - 4.计算机历史和常见用途: NOI竞赛大纲/一.基础知识与编程环境/4.计算机历史和常见用途.md
      - 二.C++程序设计:
          - 1.程序基本概念: NOI竞赛大纲/二.C++程序设计/1.程序基本概念.md
          - 2.基本数据类型: NOI竞赛大纲/二.C++程序设计/2.基本数据类型.md
          - 3.程序基本语句: NOI竞赛大纲/二.C++程序设计/3.程序基本语句.md
          - 4.基本运算: NOI竞赛大纲/二.C++程序设计/4.基本运算.md
          - 5.数学库常用函数: NOI竞赛大纲/二.C++程序设计/5.数学库常用函数.md
          - 6.结构化程序设计: NOI竞赛大纲/二.C++程序设计/6.结构化程序设计.md
          - 7.数组: NOI竞赛大纲/二.C++程序设计/7.数组.md
          - 8.字符串的处理: NOI竞赛大纲/二.C++程序设计/8.字符串的处理.md
          - 9.结构体和联合体: NOI竞赛大纲/二.C++程序设计/9.结构体和联合体.md
          - 10.指针类型: NOI竞赛大纲/二.C++程序设计/10.指针类型.md
          - 11.文件及基本读写: NOI竞赛大纲/二.C++程序设计/11.文件及基本读写.md
          - 12.STL模板: NOI竞赛大纲/二.C++程序设计/12.STL模板.md
      - 三.数据结构:
          - 1.线性结构:
              - 链表: NOI竞赛大纲/三.数据结构/1.线性结构/链表.md
              - 栈: NOI竞赛大纲/三.数据结构/1.线性结构/栈.md
              - 队列: NOI竞赛大纲/三.数据结构/1.线性结构/队列.md
          - 2.简单树:
              - 树的定义与相关概念: NOI竞赛大纲/三.数据结构/2.简单树/树的定义与相关概念.md
  - C++常用库:
      - 总结: C++/总.md
      - iostream: C++/1.iostream.md
      - fstream: C++/2.fstream.md
      - string: C++/3.string.md
      - ctime: C++/4.ctime.md
      - chrono: C++/5.chrono.md
      - vector: C++/6.vector.md
      - list: C++/7.list.md
      - map: C++/8.map.md
      - set: C++/9.set.md
      - algorithm: C++/10.algorithm.md
  - 数据结构:
      - 基本介绍: data_structure/基本介绍.md
      - 二叉树:
          - 二叉树: data_structure/二叉树.md
          - 霍夫曼编码: data_structure/霍夫曼编码.md

theme:
  name: material
  language: zh
  palette:
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: indigo
      accent: light-blue
      toggle:
        icon: material/weather-sunny
        name: 切换到夜间模式
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: grey
      accent: blue-grey
      toggle:
        icon: material/weather-night
        name: 切换到日间模式
  features:
    - navigation.tabs
    - navigation.instant
    - content.action.edit
  font:
    text: Fira Sans
    code: Fira Mono
  icon:
    logo: material/school

markdown_extensions:
  - admonition
  - def_list
  - footnotes
  - meta
  - toc:
      permalink: ""
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.caret
  - pymdownx.critic
  - pymdownx.details
  - pymdownx.emoji:
      emoji_generator: !!python/name:pymdownx.emoji.to_svg
  - pymdownx.highlight:
      linenums: true
  - pymdownx.inlinehilite
  - pymdownx.keys
  - pymdownx.magiclink
  - pymdownx.mark
  - pymdownx.smartsymbols
  - pymdownx.superfences:
      custom_fences:
        - name: math
          class: arithmatex
          format: !!python/name:pymdownx.arithmatex.fence_mathjax_format
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.tilde
  - pymdownx.tabbed:
      alternate_style: true

extra_javascript:
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js


